{
  "name": "@multiplatform.one/typegraphql",
  "version": "5.0.27",
  "author": "BitSpur <support@bitspur.com> (https://bitspur.com)",
  "type": "module",
  "contributors": [
    {
      "name": "Clay Risser",
      "url": "https://clayrisser.com"
    }
  ],
  "description": "typegraphql for multiplatform.one",
  "module": "lib/index.js",
  "source": "src/index.ts",
  "types": "types/index.d.ts",
  "exports": {
    ".": {
      "types": "./types/index.d.ts",
      "import": "./lib/index.js"
    },
    "./package.json": "./package.json"
  },
  "bin": {
    "build-schema": "./bin/buildSchema.js"
  },
  "scripts": {
    "build": "rm -rf lib types 2>/dev/null && tsc -b --emitDeclarationOnly && tsup",
    "test": "vitest run --coverage --coverage.provider=v8 --coverage.reporter=text --coverage.reporter=lcov --coverage.reporter=html",
    "typecheck": "tsc --noEmit"
  },
  "files": ["bin", "lib", "src", "types"],
  "license": "Apache-2.0",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/bitspur/multiplatform.one/multiplatform.one.git"
  },
  "bugs": {
    "url": "https://gitlab.com/bitspur/multiplatform.one/multiplatform.one/issues"
  },
  "keywords": ["type-graphql", "graphql"],
  "engines": {
    "node": ">= 16.0"
  },
  "devDependencies": {
    "@multiplatform.one/utils": "workspace:5.0.27",
    "multiplatform.one": "workspace:5.0.27",
    "@prisma/client": "5.12.1",
    "@types/body-parser": "^1.19.5",
    "@types/lodash.startcase": "^4.4.9",
    "@types/node-cleanup": "^2.1.5",
    "@types/ws": "^8.5.13",
    "class-validator": "^0.14.1",
    "graphql-yoga": "^5.10.10",
    "tsup": "^8.3.5",
    "type-graphql": "2.0.0-rc.1",
    "typescript": "~5.3.3",
    "vitest": "^1.2.2"
  },
  "peerDependencies": {
    "@prisma/client": "5.12.1",
    "graphql-yoga": "^5.1.1",
    "type-graphql": "2.0.0-rc.1"
  },
  "dependencies": {
    "@envelop/apollo-tracing": "^6.1.0",
    "@envelop/opentelemetry": "^6.3.1",
    "@envelop/prometheus": "^10.0.0",
    "@opentelemetry/api": "^1.9.0",
    "@opentelemetry/auto-instrumentations-node": "^0.46.1",
    "@opentelemetry/core": "^1.30.1",
    "@opentelemetry/exporter-jaeger": "^1.30.1",
    "@opentelemetry/sdk-node": "^0.51.1",
    "@prisma/instrumentation": "~5.12.1",
    "axios": "^1.7.9",
    "body-parser": "^1.20.3",
    "graphql": "^16.10.0",
    "graphql-ws": "^5.16.2",
    "http-status": "^1.8.1",
    "lodash.startcase": "^4.4.0",
    "multiplatform.one": "workspace:5.0.27",
    "node-cleanup": "^2.1.2",
    "pg": "^8.13.1",
    "pg-pubsub": "^0.8.1",
    "prom-client": "^15.1.3",
    "tsyringe": "^4.8.0",
    "ws": "^8.18.0"
  }
}
